# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

#images
image cave = "cave.png"
image laura = "laura.png"
image classroom = "classroom.png"
image peter = "peter.png"
image john = "john.png"
image forest = "forest.png"
image bg = "bg.png"


define L = Character("Laura")
define P = Character("Peter")
define J = Character("John")

# Romance boolean flags

define lauraRomance = False
define peterRomance = False
define johnRomance = False

define intelligence = 1
define agility = 1
define strength = 1

image test = "test.png"
define days_until = 5
define playername = ""

screen date():
    frame:
        xmaximum 300 # X size of clock graphic
        ymaximum 300 # Y size of clock graphic
        xalign 0.02 # X placement on screen
        yalign 0.02 # Y placement on screen
        
        if days_until != 1:
            text _("[days_until] Days Until the End of the World"):
                size 32
        else:
            text _("[days_until] Day Until the End of the World"):
                size 32
        

screen input_screen():
    window:
        has vbox
        xalign 0.5 # X placement on screen
        text "Enter your name:":
            size 28
        input default "AD41":
            size 28

# The game starts here.

label start:
    
    show bg
    
    call screen input_screen
    
    $ playername = _return
    
    if playername == "":
        $ playername = "AD41"
    
label restart:

    scene cave
    with fade

    "I wake as the sun warms the rocks around me."
    
    $ days_until = 5
    show screen date
    
    "Slowly, the morning sun fills the cave and I know it’s time for school – the last year of junior high school!"

    "My home by the ocean gives me easy access to food and a nearby provides water." 
    
    "Within just a few minutes, I’ve gathered my things and I’m running off to school. I don’t want to be late for my first day!"
    
    scene classroom
    with dissolve
    
    "Open Shell Junior High School is an exclusive school."
    
    "Only the very best turtles are allowed – that’s right! It’s a school for turtles. But this year, they changed the rules for me to attend."
    
    "Everything is new to me and I try not to stare as I walk through the hallway water on way to my first class."
    
    "Looking around, I find the one empty seat."
    
    "I sit down and the turtle next to me starts talking immediately."
    
    scene laura
    
    L "New, right? I can always tell. I like your hair. Hi, by the way. I'm Laura."

    "I tell her my name is [playername]."
    
    "I don’t know what to think about this fast-talking turtle. She seems nice, though."

    scene classroom

    "Laura continues talking to me before class starts, filling me in on her opinions of everything and everyone she sees."
    
    "The bell rings and class begins."
    
    "This year, I have the choices of spending my time after school."
    
    "I can study in the library, spend time with the Yoga club, or practice with the running team."
    
    "I feel like I can grow in different ways through each activity."
    
    "Heading out of the class, I come across another turtle hurrying through the hallways."
    
    scene peter
    
    P "Can I help you, young one? Oh, right, yes. Protocol. Hi. Name's Peter."
    
    P "I’m on my way out to the race track. Gotta train for the next event!"
    
    "Peter looks like a very athletic turtle. I remember that I can spend some time training starting tomorrow."
    
    scene classroom
    
    "The next class starts as soon as I sit back down." 
    
    "I introduce myself to the class when asked, but don’t make any new friends this time."
    
    scene forest
    with dissolve
    
    "Before too long, the first day is over and I’m on my way home."
    
    "I don’t like to walk through the forest at night and quickly make my way home. I need to rest up for tomorrow."

    scene cave
    with fade
    
    $ days_until -= 1

    "The next morning starts the same as the previous. I get ready and head off to school."
    
    scene classroom
    
    "I run into Laura again in homeroom." 
    
    "She invites me to attend the upcoming Lake Dance event at the end of the first week."
    
    "She says it's a tradition for the older students to ask the young ones to the dance."
    
    menu:
        "I agree to go to the dance with Laura.":
            "I agree to go with Laura to the Lake Dance. She wiggles happily to herself and heads to her other class."
            $ lauraRomance = True

        "I turn Laura down.":
            "I tell her that I’m not interested. She nods and tells me she will talk to me tomorrow. As she walks away, she seems a little sad."

    "Leaving homeroom, I walk over to the library and see another student here among the piles of books."
    
    scene john
    
    J "Can’t talk now. Busy doing research! Name’s John. Nice to meet you. Yes, yes. It’s a pleasure to meet you as well."

    "I don’t think I can even talk to John unless I’m intelligent enough to keep up with him."
    
    scene classroom

    "I head off to my next class and try to think about what I want to do after school today."
    
    menu:
        "Study in the library.":
         $ intelligence += 1
         "I study quietly. (Ingelligence increases by 1.)"
         
        "Attend the Yoga club":
         $ strength += 1
         "I stretch and meditate. (Strength increases by 1.)"

        "Practice with the running team":
         $ agility += 1
         "I jog with the running team. (Agility increases by 1.)"

    "As the sun starts to set, I head home for the day."
    
    scene cave
    with dissolve
    
    "Back home again, I prepare for bed."
    
    "I quickly fall asleep."
    
    $ days_until -= 1
    
label Day3:    
    
    scene classroom
    with dissolve
    
    "The next day, I feel like I know my way around well enough to go to different places."
    
    menu:
        "The Library":
            "All I see in the library is John and he looks busy. Unless I’m super smart, I don’t think I can even talk to him."
            
        "The Gym":
            "I see Peter training, but I don't think I can keep up with him unless my agility is higher."

    scene cave
    with dissolve
    
    "Back home again, I go to bed."

label Day4:
    
    scene forest
    with fade
    
    "My fourth day starts with a gentle rain. I try not to get too wet as I dodge the puddles and make my way through the forest to school."
    
    scene classroom
    with dissolve
    
    "Another morning goes by and I make my plans for after school."
    
    menu:
        "Study in the library.":
         $ intelligence = intelligence + 1
         "I study quietly. (Ingelligence increases by 1.)"
         
        "Attend the Yoga club":
         $ strength = strength + 1
         "I stretch and meditate. (Strength increases by 1.)"

        "Practice with the running team":
         $ agility = agility + 1
         "I jog with the running team. (Agility increases by 1.)"
         
    scene laura

    "I run into Laura outside school. She seems to be enjoying her time in the rain."

    if lauraRomance == True:
        
        L "Hi there, [playername]. I'm looking forward to the Lake Dance in a few days!"
        
        "Watching her, I think about joining in, but decide to head home. It's dangerous for me to be out at night."
    
    else:
        
        L "Hi, [playername]!"
        
        "She seems to pause before continuing."
        
        L "Have a great time at the Lake Dance, okay? It's tradition."
        
        "I nod and make my way home."
        
label Day5:
    
    $ days_until -= 1
    
    scene cave
    with fade
    
    "There seems to be a tension in the air this morning."
    
    scene forest
    
    "Making my way through the forest, the animals seem unusually quiet today. They seem to be waiting for something to happen."
    
    scene classroom
    with dissolve
    
    "At school, everything seems normal and my classes proceed as always."
    
    "I decide to explore different areas again today."
    
    menu:
        "The Library":
            
            if intelligence >= 3:
            
                scene john
                
                "Seeing John, I walk over."
                
                "I look at his research and can follow everything he's reading."
                
                "It seems to be something about quantum regression and Hilbert field calculations."
                
                "John catches me looking."
                
                J "Do you understand all this?"
                
                "I nod and he bookmarks his places before closing the books around him."
                
                J "I don't normally follow the traditions, but..."
                
                "He seem to examine me and consider something."
                
                J "We could go to the Lake Dance together. As an experiment."
                
                if lauraRomance == True:
                    
                    "I remember that I've already agreed to go to the dance with Laura. I turn him down."
                
                else:
                
                    "He seems to be asking me to the Lake Dance. Do I want to go with him?"
                
                    menu:
                        "I agree to go to the dance with John.":
                            
                            $ johnRomance = True
                            
                            "I agree to go with him as a experiment and he nods before going back to his research."
                            
                        "I turn John down.":
                            
                            "This isn't the type of experiment I want and I turn him down explaining that we are simply in a weak polarized field."
                            "He nods in understanding and goes back to his research. I leave."
            
            else:
            
                "All I see in the library is John and he looks busy. Unless I have a high intelligence, I don’t think I can even talk to him."
            
        "The Gym":
            
            if agility >= 3:
                
                scene peter
                
                "I start running and catch up to Peter quickly."
                
                "We jog around the track and then finally stop."
                
                "He seems impressed."
                
                P "Very nice! I never would have thought you could catch up. And it looks like you might even be able to out run me pretty soon!"
                
                "He shakes his head at me."
                
                P "Who would have thought it? And a new student, too."
                
                "He catches his breath and drinks some water before continuing."
                
                P "I know what you are thinking, but I already asked someone to the dance. Maybe next year, eh?"
                
                "He walks off and I'm left alone. I decide to head home for the day."
                
            else:
                 
                "I see Peter training, but I don't think I can keep up with him unless my agility is higher."
    
label Day6:
    
    scene cave
    with fade
    
    $ days_until -= 1
    
    "I wake up and something seems off, but I don't know what it is."
    
    "I get ready and head off to school."
    
    scene classroom
    with dissolve
    
    "I look around and don't see Laura this morning."
    
    "Several other students seem to be missing, too."
    
    "Maybe they are simply getting everything ready for the dance tomorrow?"
    
    "After my morning classes, I catch John in the hallway. He seems to be trying to carry equipment."
    
    "Seeing me, he pauses."
    
    scene john
    
    J "Can you help with these, [playername]?"
    
    "I agree and he handles over some different devices and wires to carry."
    
    "I follow him into some type of lab."
    
    if johnRomance == True:
        
        J "I've solved it!"
        
        "Before I can even ask, he bursts into a long explanation about field fluxuations and unstable particles."
        
        "I don't completely follow everything, but it seems he's found a way to open a portal to another dimension."
        
        J "New space! Unexplored time!"
        
        "He is instantly distracted with setting up with the devices and their readings." 
        
        "I walk away after he ignores me for a few moments. I'll see him tomorrow."
         
    else:
         
         "He nods to where I can put the equipment down."
         
         "I don't spend much time in the lab and make my way back."

    scene cave
    with dissolve
    
    "Back home, I find myself thinking about tomorrow. With the dance after school, I should go to bed early."
    
    $ days_until -= 1
    
    scene forest
    with fade
    
    "Walking through the forest on my way to school, the animals seem to be going crazy. There is constant noise."
    
    "I quickly run to school."
    
    scene classroom
    with dissolve
    
    "Everyone is excited about the dance later and there is a buzz in the air."
    
    "The day drags on, but soon it is time for the dance."
    
    scene cave
    with dissolve
    
    "I run back home and get ready before heading back."
    
    if lauraRomance == True:
        
        scene laura
        
        "I see Laura waiting for me."
        
        "She puts her hand out and shimmys her body."
        
        L "Ready to ~dance~, [playername]?"
        
        "I put my hand in hers and we run together into the gym."
        
        "Everything is decorated in a lake theme with water lilies on the end of various ribbons and a big banner reading \'Lake Dance\'."
        
        "We make our way over to some chairs and talk for a few minutes until the music starts up."
        
        L "Come on! Come on! We have to ~dance~!"
        
        "I follow her lead and soon find myself trying to catch up with her."
        
        "We dance as a strange blue light seems to fill the space."
        
        L "Whoa! They went all out this year on the --"
        
        "She is suddenly cut off as a piercing noise joins the blue light."
        
        if strength >= 3:
            
            "I'm barely able to keep standing during the cacophony."
            
            "Leaving the gym, I make my way as far as the hallway before I see some type of flashing lights coming out of John's lab."
            "As I get closer, I suddenly feel faint."
            
        "I pass out."
        
        hide screen date
            
        jump restart
        
    if johnRomance == True:
        
        "Coming back to school, I don't see John."
        
        scene classroom
        
        "I look in various classrooms and can't seem to find him there, either."
        
        "Retracing my steps, I make my way to the lab where I last saw him."
        
        scene john
        
        J "[playername]. Good. I couldn't leave until this last experiment was finished."
        
        J "As soon as I flip this switch, I'll open a hold to another dimension."
        
        "I don't have time to question if this is a good idea before the room is filled with light."
        
        "A crack appears between some devices and an image resolves itself."
        
        J "We are looking into another world."
            
        "Looking through this hole into another dimension, all I see is another cave like my own and then some quick flashes of pigeons."
        
        "I don't know what to think about this."
        
        "Could it really be another world?"
        
        J "Watch out! The hole is growing unstable."
        
        "John caught off guard as an electrical surge knocks him back."
        
        J "Quick, [playername]! Flip the switch back. Close the hole or something catastrophic may happen!"
        
        "I dodge out of the way of another electrical shock and close the view into another dimension."
        
        J "Good. Good. I think that's enough of that. I need to test this all more before I try that again."
        
        "He stops and then realizes something."
        
        J "The dance! I completely forgot!"
        
        "He shuts down the devices reluctantly and we walk to the gym."
        
        "We attempt to dance a couple times, but my mind is back to his experiments and their danger."
        
        "John seems to realize this after a few minutes."
        
        J "I ruined everything, didn't I?"
        
        "I consider lying to him, but I ultimately nod."
        
        "He seems to take this in for a moment and then nods."
        
        J "It was only an experiment after all."
        
        "We go our separate ways."
        
        "On my way out, I see Laura sitting by herself. She catches me watching and then winks at me."
        
        "I shake my head to myself and head out."
        
        scene forest
        with dissolve
        
        "On my way back, the animals have calmed down and the tension has lifted."
        
        scene cave
        with fade
        
        "I continue to sense something is off, but I prepare for another day of school."
        
        return
        
    if lauraRomance == False and johnRomance == False:
        
        scene cave
        with dissolve
        
        "Having not picked anyone to go to the dance with, I decide to stay home."
        
        "I clean some things up and get ready for another day."
        
        "Watching the waves crash and the sun set, I hear strange noises in the forest."
        
        scene forest
        with dissolve
        
        "I run into the forest to see this strange blue light heading my way."
        
        "I turn around to run and --"
        
        hide screen date
        
        jump restart

    
        
